accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vi...@apache.org
Subject svn commit: r1428098 - in /accumulo/branches/1.4: pom.xml src/packages/deb/accumulo-native/postinst src/packages/deb/accumulo/postinst
Date Wed, 02 Jan 2013 22:48:05 GMT
Author: vines
Date: Wed Jan  2 22:48:04 2013
New Revision: 1428098

URL: http://svn.apache.org/viewvc?rev=1428098&view=rev
Log:
ACCUMULO-789 - went through debian scripts and gave them some overall loving. They should
run well now


Modified:
    accumulo/branches/1.4/pom.xml
    accumulo/branches/1.4/src/packages/deb/accumulo-native/postinst
    accumulo/branches/1.4/src/packages/deb/accumulo/postinst

Modified: accumulo/branches/1.4/pom.xml
URL: http://svn.apache.org/viewvc/accumulo/branches/1.4/pom.xml?rev=1428098&r1=1428097&r2=1428098&view=diff
==============================================================================
--- accumulo/branches/1.4/pom.xml (original)
+++ accumulo/branches/1.4/pom.xml Wed Jan  2 22:48:04 2013
@@ -396,6 +396,15 @@
                   </mapper>
                   <excludes>**/.svn/**,**/accumulo-site.xml,**/accumulo-env.sh,**/accumulo-metrics.xml,**/test-*,**/slaves,**/masters,**/tracers,**/gc,**/monitor</excludes>
                 </data>
+                <data>
+                  <src>conf/examples</src>
+                  <type>directory</type>
+                  <mapper>
+                    <type>perm</type>
+                    <prefix>/usr/lib/accumulo/conf/examples</prefix>
+                  </mapper>
+                  <excludes>**/.svn/**</excludes>
+                </data>
               </dataSet>
             </configuration>
           </execution>

Modified: accumulo/branches/1.4/src/packages/deb/accumulo-native/postinst
URL: http://svn.apache.org/viewvc/accumulo/branches/1.4/src/packages/deb/accumulo-native/postinst?rev=1428098&r1=1428097&r2=1428098&view=diff
==============================================================================
--- accumulo/branches/1.4/src/packages/deb/accumulo-native/postinst (original)
+++ accumulo/branches/1.4/src/packages/deb/accumulo-native/postinst Wed Jan  2 22:48:04 2013
@@ -16,11 +16,19 @@
 # limitations under the License.
 
 # postinst script for Apache Accumulo native libraries
+echo JAVA HOME IS $JAVA_HOME
 if [ -z "$JAVA_HOME" -o ! -f "$JAVA_HOME/jre/bin/" ] ; then
   JAVA_HOME=`readlink -f /usr/bin/java`
   JAVA_HOME=`dirname $JAVA_HOME`
-  JAVA_HOME=`cd $JAVA_HOME/../../; pwd`
+  JAVA_HOME=`cd $JAVA_HOME/../; pwd`
 fi
 export JAVA_HOME
+export PATH=$PATH:$JAVA_HOME/bin
+echo $JAVA_HOME
+echo $PATH
 cd /usr/lib/accumulo/src/server/src/main/c++
 make
+
+if [ $? -ne 0 ]; then
+  echo "Issues building native libraries. Make sure root has javah on it's classpath"
+fi

Modified: accumulo/branches/1.4/src/packages/deb/accumulo/postinst
URL: http://svn.apache.org/viewvc/accumulo/branches/1.4/src/packages/deb/accumulo/postinst?rev=1428098&r1=1428097&r2=1428098&view=diff
==============================================================================
--- accumulo/branches/1.4/src/packages/deb/accumulo/postinst (original)
+++ accumulo/branches/1.4/src/packages/deb/accumulo/postinst Wed Jan  2 22:48:04 2013
@@ -37,7 +37,7 @@ fi
 if [ -z $HADOOP_HOME ]; then
   HADOOP_HOME="/usr/lib/hadoop"
 fi
-for files in `ls /etc/accumulo/conf/accumulo-env.sh.*`; do
+for files in `ls /etc/accumulo/conf/examples/*/*/accumulo-env.sh`; do
   sed -i -e "s:/path/to/java:$JAVA_HOME:" $files 
   sed -i -e "s:/path/to/zookeeper:$ZOOKEEPER_HOME:" $files 
   sed -i -e "s:/path/to/hadoop:$HADOOP_HOME:" $files 



Mime
View raw message